export class Card {
    get rank(): string {
        return this._rank;
    }

    get suite(): string {
        return this._suite;
    }

    private _rank: string;
    private _suite: string;

    constructor(rank: string, suit: string) {
        this._rank = rank;
        this._suite = suit;
    }

    show(i: number) {
        return (`   _____\n${i} | ${this._rank} ${this._suite} |\n   -----`)
    }
}